/*
*
* This file is part of xVideoServiceThief,
* an open-source cross-platform Video service download
*
* Copyright (C) 2007 - 2009 Xesc & Technology
*
* This program is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with xVideoServiceThief. If not, see <http://www.gnu.org/licenses/>.
*
* Contact e-mail: Xesc <xeskuu.xvst@gmail.com>
* Program URL   : http://xviservicethief.sourceforge.net/
*
*/

function RegistVideoService()
{
	this.version = "1.0.2";
	this.minVersion = "2.0.0a";
	this.author = "Xesc & Technology 2009";
	this.website = "http://www.kontraband.com/";
	this.ID = "kontraband.";
	this.caption = "Kontraband";
	this.adultContent = false;
	this.musicSite = false;
}

function getVideoInformation(url)
{
	// video information
	var result = new VideoDefinition();
	// download webpage
	var http = new Http();
	var html = http.downloadWebpage(url);
	// get video information
	result.title = copyBetween(html, "'kb_engagement_title','", "'");
	result.URL = copyBetween(html, "'file','", "'");
	// return the video information
	return result;
}

function getVideoServiceIcon()
{
	return new Array(
		0x89,0x50,0x4e,0x47,0x0d,0x0a,0x1a,0x0a,0x00,0x00,0x00,0x0d,0x49,0x48,0x44,0x52,
		0x00,0x00,0x00,0x10,0x00,0x00,0x00,0x10,0x08,0x00,0x00,0x00,0x00,0x3a,0x98,0xa0,
		0xbd,0x00,0x00,0x00,0xee,0x49,0x44,0x41,0x54,0x18,0x19,0x05,0xc1,0xb1,0x2b,0x84,
		0x71,0x1c,0xc7,0xf1,0xcf,0x73,0xe7,0x9e,0xbb,0xc7,0x93,0xc8,0xe4,0x2f,0x30,0xe8,
		0x62,0x37,0x19,0x58,0x94,0x55,0x06,0x83,0xd1,0x40,0x2e,0xa3,0xa2,0x2c,0x46,0xb7,
		0x99,0x45,0x59,0xfd,0x01,0x97,0xb2,0x9c,0xa4,0x53,0x8a,0x01,0xd3,0x0d,0xa4,0x2c,
		0x57,0x9e,0xe7,0xea,0xf9,0x3d,0xcf,0xef,0xfb,0x7b,0x7b,0xbd,0x04,0x8e,0x60,0x10,
		0x02,0x17,0x03,0xa3,0x12,0x40,0x89,0x87,0xa2,0xec,0xfe,0x78,0x10,0xa5,0xf7,0xf0,
		0xbe,0xf7,0xc4,0x57,0xd7,0x7b,0x43,0x06,0x90,0xaf,0x25,0x9b,0xdc,0x5d,0x83,0x47,
		0x06,0x45,0x7f,0x31,0xd2,0xd4,0xed,0xd5,0x8b,0xa7,0x2a,0x45,0x18,0x65,0x4b,0x52,
		0x4b,0xed,0xe3,0x31,0x01,0xf4,0xfc,0xdd,0x3b,0x69,0xd4,0x52,0xc5,0x5a,0x87,0x0a,
		0xd3,0xe3,0x65,0xaf,0x3d,0x21,0x49,0xf1,0xdc,0xb8,0xc4,0x21,0xdc,0xb9,0x62,0xa5,
		0x8a,0xd4,0xec,0x13,0x30,0x71,0x93,0x4a,0x91,0x62,0x49,0x43,0xca,0x0c,0xb9,0x7d,
		0xd5,0x1a,0xd3,0xf3,0x0b,0x4a,0x9a,0xf7,0x85,0x51,0x88,0x4e,0x2d,0x5e,0x7e,0x75,
		0xd5,0x69,0x22,0x6d,0xf3,0x87,0xf0,0xd9,0xd6,0x81,0x61,0xd5,0x61,0x5a,0xaf,0xf7,
		0x30,0x91,0x73,0xb6,0x12,0xf0,0x7c,0xb6,0x92,0xc9,0xd5,0x11,0x72,0xbc,0xcd,0x6c,
		0x18,0x86,0xfb,0x18,0x8e,0x77,0x66,0x1f,0x14,0xfc,0xef,0xd1,0x00,0xc0,0x63,0xe4,
		0xbb,0x9d,0x7f,0xc7,0xea,0xaa,0x86,0x95,0x99,0xae,0xfc,0x00,0x00,0x00,0x00,0x49,
		0x45,0x4e,0x44,0xae,0x42,0x60,0x82);
}
